diff tests/fixtures/empty_dir_in_trunk_not_repo_root.sh @ 268:6ec5b5fc5b4d

Added a test case for directory-add behavior when repo root is not project root.
author Augie Fackler <durin42@gmail.com>
date Tue, 14 Apr 2009 22:44:19 -0500
parents
children
line wrap: on
line diff
new file mode 100755
--- /dev/null
+++ b/tests/fixtures/empty_dir_in_trunk_not_repo_root.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+mkdir temp || exit 1
+cd temp
+svnadmin create repo
+svn co file://`pwd`/repo wc
+pushd wc
+mkdir -p project/trunk
+svn add project
+svn ci -m 'trunk'
+cd project/trunk
+echo a > a
+mkdir narf
+svn add a narf
+svn ci -m 'file and empty dir'
+popd
+svnadmin dump repo > ../empty_dir_in_trunk_not_repo_root.svndump
+echo 'dump in empty_dir_in_trunk_not_repo_root.svndump'
+echo 'you can probably delete temp now'